## rds 1.1.0

=== rds/CMakeLists.txt ===
cmake_minimum_required( VERSION 2.6 )
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
find_package ( Qt4 REQUIRED )
#LINK_DIRECTORIES(../bin)
SET(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin/)
#SET(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin/)

IF(APPLE)
	include(CPack)
	SET(MACOSX_BUNDLE_ICON_FILE "rds.icns")
	SET(MACOSX_BUNDLE_BUNDLE_NAME "Resara Admin Console")
	SET(MACOSX_BUNDLE_GUI_IDENTIFIER "Resara Admin Console")
ENDIF(APPLE)

IF(UNIX)
	set(CMAKE_CXX_FLAGS "-Wall")
	set(CMAKE_C_FLAGS "-Wall")
ENDIF(UNIX)

#############################################
############### SUBDIRECTORIES ##############
#############################################

SET(SUBDIRECTORIES
	qtrpc2
	shared
	rdsclient
	rdsconsole
)

SET(SUBDIRECTORIES_UNIX
	rdsldap
	rdsserver
	src
	test
	rdsd
	testclient
	testserver
	rdscontrol
	rdsprovision
	rdsacledit
	qtrpc2/testclient
	qtrpc2/testserver
)

#############################################
############# CONFIG VARIABLES ##############
#############################################

# Get the version from HG!
# current commit version
IF(WIN32)
EXECUTE_PROCESS(
	COMMAND cmd.exe
	ARGS /c hg parents
	OUTPUT_VARIABLE RDS_COMMIT_VERSION
)
ELSE(WIN32)
EXECUTE_PROCESS(
	COMMAND hg parents
	OUTPUT_VARIABLE RDS_COMMIT_VERSION
)

ENDIF(WIN32)

# get the named version from version.txt 
SET(VERSION_FILE "${CMAKE_SOURCE_DIR}/version.txt")
IF(WIN32)
STRING(REPLACE "/" "\\" VERSION_FILE ${VERSION_FILE})
EXECUTE_PROCESS(
	COMMAND cmd.exe
	ARGS /c type ${VERSION_FILE}
	OUTPUT_VARIABLE RDS_NAMED_VERSION
)
ELSE(WIN32)
EXECUTE_PROCESS(
	COMMAND cat ${VERSION_FILE}
	OUTPUT_VARIABLE RDS_NAMED_VERSION
)
ENDIF(WIN32)
STRING(REGEX REPLACE "\n" "" RDS_NAMED_VERSION ${RDS_NAMED_VERSION})

#because sometimes we build out of HG
IF(RDS_COMMIT_VERSION)
	STRING(REGEX REPLACE ".*changeset:   " "" RDS_COMMIT_VERSION "${RDS_COMMIT_VERSION}")
	STRING(REGEX REPLACE ":.*" "" RDS_COMMIT_VERSION "${RDS_COMMIT_VERSION}")
	SET(RDS_VERSION "${RDS_NAMED_VERSION}_${RDS_COMMIT_VERSION}")
ELSE(RDS_COMMIT_VERSION)
	SET(RDS_VERSION "${RDS_NAMED_VERSION}")
ENDIF(RDS_COMMIT_VERSION)


STRING(REGEX REPLACE "-.*" "" RDS_SHORT_NAMED_VERSION ${RDS_NAMED_VERSION})
SET(RDS_VERSION_NUMBER "${RDS_SHORT_NAMED_VERSION}.${RDS_COMMIT_VERSION}")

# set the prefix for samba
SET(RDS_SAMBA_PATH "/usr/local/samba/" CACHE STRING "Samba Path")
SET(RDS_SAMBA_UTIL_PATH "/usr/local/samba/bin/" CACHE STRING "Samba Util Path")

# Set the default values for the assorted subfolders of said prefix
SET(RDS_SAMBA_PROVISION_D "${RDS_SAMBA_PATH}/sbin/provision")
SET(RDS_SAMBA_PRIVATE_D "${RDS_SAMBA_PATH}/private/")
SET(RDS_SAMBA_SYSVOL_D "${RDS_SAMBA_PATH}/var/locks/sysvol/")
SET(RDS_SAMBA_RUN_D "${RDS_SAMBA_PATH}/var/run/")
SET(DNS_DEFAULT_FILE_D "${RDS_SAMBA_PRIVATE_D}/named.conf")
SET(RDS_SAMBA_CONFIGFILE_D "${RDS_SAMBA_PATH}/etc/smb.conf")
SET(SAMBA_NET_PATH_D "${RDS_SAMBA_PATH}/sbin/samba-tool")
SET(SAMBA_LDBADD_PATH_D "${RDS_SAMBA_UTIL_PATH}ldbadd")
SET(SAMBA_LDBEDIT_PATH_D "${RDS_SAMBA_UTIL_PATH}ldbedit")
SET(SAMBA_LDBDEL_PATH_D "${RDS_SAMBA_UTIL_PATH}ldbdel")
SET(LDAP_URI_D "ldapi://${RDS_SAMBA_PATH}/private/ldapi")

# Set up the options for these paths, and any other samba related paths
SET(RDS_SAMBA_PROVISION ${RDS_SAMBA_PROVISION_D} CACHE STRING "Samba Provision Script Path")
SET(RDS_SAMBA_PRIVATE ${RDS_SAMBA_PRIVATE_D} CACHE STRING "Samba Private Path")
SET(RDS_SAMBA_SYSVOL ${RDS_SAMBA_SYSVOL_D} CACHE STRING "Samba Sysvol Path")
SET(RDS_SAMBA_RUN ${RDS_SAMBA_RUN_D} CACHE STRING "Samba Run Path")
SET(DNS_DEFAULT_FILE ${DNS_DEFAULT_FILE_D} CACHE STRING "Samba's DNS config")
SET(RDS_SAMBA_CONFIGFILE ${RDS_SAMBA_CONFIGFILE_D} CACHE STRING "Samba config file")
SET(SAMBA_NET_PATH ${SAMBA_NET_PATH_D} CACHE STRING "Samba net path")
SET(SAMBA_LDBADD_PATH ${SAMBA_LDBADD_PATH_D} CACHE STRING "Samba ldbadd path")
SET(SAMBA_LDBEDIT_PATH ${SAMBA_LDBEDIT_PATH_D} CACHE STRING "Samba ldbedit path")
SET(SAMBA_LDBDEL_PATH ${SAMBA_LDBDEL_PATH_D} CACHE STRING "Samba ldbdel path")
SET(RDS_INITD_SAMBA4 "/etc/init.d/samba4" CACHE STRING "Samba Init script")
SET(LDAP_URI ${LDAP_URI_D} CACHE STRING "LDAP Uri")

# subfolders
SET(RDS_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE STRING "Prefix for RDS paths to be compiled into RDS")

SET(RDS_DATA_PATH_D "${RDS_PREFIX}/lib/rds")
SET(RDS_DATA_PATH ${RDS_DATA_PATH_D} CACHE STRING "Path for RDS data files")

# RDS options
SET(RDS_LOGFILE "/var/log/rdsd.log" CACHE STRING "RDS logfile")
SET(RDS_CONF_PATH "/etc" CACHE STRING "RDS config file path")

# system level defines
SET(RDS_TIMEZONE "/etc/timezone" CACHE STRING "Timezone file")
SET(RDS_TIMEZONE_FOLDER "/usr/share/zoneinfo/%1" CACHE STRING "Timezone template path")
SET(RDS_KRB5 "/etc/krb5.conf" CACHE STRING "krb5.conf")
SET(RDS_HOSTNAME "/etc/hostname" CACHE STRING "Hostname file")
SET(RDS_HOSTS "/etc/hosts" CACHE STRING "Hosts file")
SET(RDS_NETWORK_INTERFACES "/etc/network/interfaces" CACHE STRING "Interfaces file")

# DNS related defines
SET(RDS_INITD_BIND "/etc/init.d/bind9" CACHE STRING "Bind9 init script")
SET(RDS_DNS_CONFIGDIR "/etc/bind/" CACHE STRING "Bind9 config directory")
SET(RDS_DNS_CONFIGDIR_BACKUP "/etc/bind.rdsbak" CACHE STRING "Backup directory for bind9 writing")
SET(RDS_DNS_ZONEDIR "/etc/bind/zones/" CACHE STRING "Bind9 zones path")

# DHCP
SET(RDS_INITD_DHCP "/etc/init.d/dhcp3-server" CACHE STRING "DHCPD init script")
SET(RDS_DHCP_CONFIGFILE "/etc/dhcp3/dhcpd.conf" CACHE STRING "DHCPD config file")

# put it all into config.h
CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/shared/config.h.in" "${CMAKE_BINARY_DIR}/config.h" @ONLY)
CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/windeps/rdsconsole.nsi.in" "${CMAKE_BINARY_DIR}/rdsconsole.nsi" @ONLY)


#############################################
################### MACROS ##################
#############################################

MACRO(USE_QT_LIB lib)
	SET(QT_USE_QT${lib} true)
	SET(LIBRARIES ${LIBRARIES} ${QT_QT${lib}_LIBRARIES})
	SET(INCLUDES ${INCLUDES} ${QT_QT${lib}_INCLUDE_DIR})
ENDMACRO(USE_QT_LIB)

MACRO(CALL_PROJECT_HACK name)
#	PROJECT(${name})
ENDMACRO(CALL_PROJECT_HACK)

MACRO(PROJECT_BEGIN name apptype)
	SET(PROJECT_NAME ${name})
	SET(PROJECT_APP_TYPE ${apptype})
	IF("${PROJECT_APP_TYPE}" MATCHES "LIBRARY")
		IF("${PROJECT_APP_TYPE}" MATCHES "STATIC_LIBRARY")
			SET(BUILD_${PROJECT_NAME}_STATIC ON)
			OPTION(BUILD_${PROJECT_NAME}_STATIC "Build ${PROJECT_NAME} statically." ON)
		ELSE("${PROJECT_APP_TYPE}" MATCHES "STATIC_LIBRARY")
			OPTION(BUILD_${PROJECT_NAME}_STATIC "Build ${PROJECT_NAME} statically." OFF)
		ENDIF("${PROJECT_APP_TYPE}" MATCHES "STATIC_LIBRARY")
	ENDIF("${PROJECT_APP_TYPE}" MATCHES "LIBRARY")
	CALL_PROJECT_HACK(${PROJECT_NAME})
ENDMACRO(PROJECT_BEGIN)

MACRO(PROJECT_END)
	SET(INCLUDES ${INCLUDES}
		./
	)
	include ( ${QT_USE_FILE} )

	QT4_WRAP_CPP(MOC_SOURCES ${HEADERS})
	QT4_WRAP_UI(FORMS_UI ${FORMS})
	QT4_ADD_RESOURCES(RESOURCES_SRCS ${RESOURCES})
	SET(SOURCES ${SOURCES} ${RESOURCES_SRCS})

	INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR})

	IF("${PROJECT_APP_TYPE}" MATCHES "LIBRARY")
		IF(BUILD_${PROJECT_NAME}_STATIC)
			SET(${PROJECT_NAME}_LIBRARY_TYPE STATIC)
		ELSE(BUILD_${PROJECT_NAME}_STATIC)
			SET(${PROJECT_NAME}_LIBRARY_TYPE SHARED)
		ENDIF(BUILD_${PROJECT_NAME}_STATIC)

		IF("${${PROJECT_NAME}_LIBRARY_TYPE}" MATCHES "STATIC")
			MESSAGE(STATUS "Building ${PROJECT_NAME} as a static library.")
		ELSE("${${PROJECT_NAME}_LIBRARY_TYPE}" MATCHES "STATIC")
			IF("${${PROJECT_NAME}_LIBRARY_TYPE}" MATCHES "SHARED")
				MESSAGE(STATUS "Building ${PROJECT_NAME} as a shared library.")
				IF(UNIX)
					ADD_CUSTOM_TARGET(
							lib${PROJECT_NAME}.so.1 ALL
							ln -fs lib${PROJECT_NAME}.so.1.0.0 lib${PROJECT_NAME}.so.1
							DEPENDS ${PROJECT_NAME}
					)
					INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/lib${PROJECT_NAME}.so.1
						DESTINATION lib
					)
				ENDIF(UNIX)
			ELSE("${${PROJECT_NAME}_LIBRARY_TYPE}" MATCHES "SHARED")
				MESSAGE(FATAL_ERROR "Library type must be either SHARED or STATIC, found ${${PROJECT_NAME}_LIBRARY_TYPE}. Please fix the PROJECT_BEGIN macro in CMakeLists.txt")
			ENDIF("${${PROJECT_NAME}_LIBRARY_TYPE}" MATCHES "SHARED")
		ENDIF("${${PROJECT_NAME}_LIBRARY_TYPE}" MATCHES "STATIC")

		ADD_LIBRARY(${PROJECT_NAME} ${${PROJECT_NAME}_LIBRARY_TYPE} ${SOURCES} ${MOC_SOURCES} ${FORMS_UI})
		SET_TARGET_PROPERTIES(${PROJECT_NAME} PROPERTIES
					VERSION 1.0.0
					SOVERSION 1)
	ELSE("${PROJECT_APP_TYPE}" MATCHES "LIBRARY")
		IF("${PROJECT_APP_TYPE}" MATCHES "EXECUTABLE")
			MESSAGE(STATUS "Building ${PROJECT_NAME} as an executable.")
		ELSE("${PROJECT_APP_TYPE}" MATCHES "EXECUTABLE")
			MESSAGE(FATAL_ERROR "Project type must be either LIBRARY or EXECUTABLE, found ${PROJECT_APP_TYPE}. Please fix the PROJECT_BEGIN macro in CMakeLists.txt")
		ENDIF("${PROJECT_APP_TYPE}" MATCHES "EXECUTABLE")
		IF(WIN32)
			USE_QT_LIB(MAIN)
		ENDIF(WIN32)
		ADD_EXECUTABLE(${PROJECT_NAME} WIN32 MACOSX_BUNDLE ${SOURCES} ${MOC_SOURCES} ${FORMS_UI})
	ENDIF("${PROJECT_APP_TYPE}" MATCHES "LIBRARY")

	SET(LIBRARIES ${LIBRARIES} ${QT_LIBRARIES})
	TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${LIBRARIES})
	INCLUDE_DIRECTORIES(
		${INCLUDES}
		${QT_INCLUDE_DIR}
	)

	TARGET_LINK_LIBRARIES(${PROJECT_NAME}
		${QT_LIBRARIES}
	)
	SET(SOURCES)
	SET(HEADERS)
	SET(LIBRARIES)
	SET(INCLUDES)
	SET(RESOURCES)
	SET(FORMS)
	SET(PROJECT_NAME)
	SET(PROJECT_APP_TYPE)
ENDMACRO(PROJECT_END)


MACRO(INCLUDE_SHARED)
SET(INCLUDES ${INCLUDES}
	../lutil
	../shared/
)

SET(SOURCES ${SOURCES}
	../shared/rdsadobject.cpp
	../shared/rdscomputer.cpp
	../shared/rdsgroup.cpp
	../shared/rdsguid.cpp
	../shared/rdsntacl.cpp
	../shared/rdsntsecuritydescriptor.cpp
	../shared/rdsorganizationalunit.cpp
	../shared/rdssid.cpp
	../shared/rdsuser.cpp
	../shared/rdsentity.cpp
	../shared/rdsutils.cpp
	../shared/rdsdnsshared.cpp
	../shared/rdsdnsrecord.cpp
	../shared/rdsschedule.cpp
)

SET(HEADERS ${HEADERS}
	../shared/rdsadobject.h
	../shared/rdsadobject_p.h
	../shared/rdscomputer.h
	../shared/rdscomputer_p.h
	../shared/rdsglobal.h
	../shared/rdsgroup.h
	../shared/rdsgroup_p.h
	../shared/rdsguid.h
	../shared/rdsguid_p.h
	../shared/rdsntacl.h
	../shared/rdsntacl_p.h
	../shared/rdsntsecuritydescriptor.h
	../shared/rdsntsecuritydescriptor_p.h
	../shared/rdsorganizationalunit.h
	../shared/rdsorganizationalunit_p.h
	../shared/rdssid.h
	../shared/rdssid_p.h
	../shared/rdsuser.h
	../shared/rdsuser_p.h
	../shared/security.h
	../shared/rdsentity.h
	../shared/rdsentity_p.h
	../shared/rdsutils.h
	../shared/rdsdnsrecord.h
	../shared/rdsdnsrecord_p.h
	../shared/rdsschedule.h
	../shared/rdsschedule_p.h
)

SET(INCLUDES ${INCLUDES}
	../shared/include/
	../qtrpc2/
	../qtrpc2/include/
)

SET(LIBRARIES ${LIBRARIES}
	qtrpc2
)

USE_QT_LIB(NETWORK)
ENDMACRO(INCLUDE_SHARED)

MACRO(INCLUDE_TESTSHARED)

SET(LIBRARIES ${LIBRARIES}
	qtrpc2
)

SET(HEADERS ${HEADERS}
	../testshared/rdstest.h
	../testshared/exampletest.h
	../testshared/rdsldapactionstester.h
	../testshared/rdsldapobjecttester.h
	../testshared/rdsldapsessiontester.h
	../testshared/rdssharingtester.h
	../testshared/rdsentitytester.h
	../testshared/rdscomputertester.h
	../testshared/rdsadobjecttester.h
	../testshared/rdsgrouptester.h
	../testshared/rdsusertester.h
	../testshared/rdsorganizationalunittester.h
	../testshared/rdssidtester.h
	../testshared/rdsguidtester.h
	../testshared/rdsntsecuritydescriptortester.h
	../testshared/rdsntacltester.h
)

SET(SOURCES ${SOURCES}
	../testshared/rdstest.cpp
	../testshared/exampletest.cpp
	../testshared/rdsldapactionstester.cpp
	../testshared/rdsldapobjecttester.cpp
	../testshared/rdsldapsessiontester.cpp
	../testshared/rdssharingtester.cpp
	../testshared/rdsentitytester.cpp
	../testshared/rdscomputertester.cpp
	../testshared/rdsadobjecttester.cpp
	../testshared/rdsgrouptester.cpp
	../testshared/rdsusertester.cpp
	../testshared/rdsorganizationalunittester.cpp
	../testshared/rdssidtester.cpp
	../testshared/rdsguidtester.cpp
	../testshared/rdsntsecuritydescriptortester.cpp
	../testshared/rdsntacltester.cpp
)

=== rds/qtrpc2/CMakeLists.txt ===
PROJECT_BEGIN(qtrpc2 LIBRARY)

SET(CMAKE_CXX_FLAGS "-D QTRPC2_BUILD_LIB")

USE_QT_LIB(NETWORK)
SET(QT_DONT_USE_QTGUI true)

SET(HEADERS ${HEADERS}
	clientmessagebus.h
	clientmessagebus_p.h
	clientprotocolbase.h
	clientprotocoliodevice.h
	clientprotocoliodevice_p.h
	clientprotocoltcp.h
	clientprotocoltcp_p.h
	clientprotocoltest.h
	clientprotocolthread.h
	clientproxy.h
	clientproxy_p.h
	proxybase.h
	qxtdiscoverableservice.h
	qxtdiscoverableservice_p.h
	qxtservicebrowser.h
	qxtservicebrowser_p.h
	server.h
	serverprotocolinstancebase.h
	serverprotocolinstanceiodevice.h
	serverprotocolinstanceiodevice_p.h
	serverprotocolinstancetcp.h
	serverprotocolinstancetcp_p.h
	serverprotocollistenertcp.h
	serverthread.h
	servicefinder.h
	servicefinder_p.h
	serviceproxy.h
	servicepublisher.h
)

SET(SOURCES ${SOURCES}
	returnvalue.cpp
	signature.cpp
	proxybase.cpp
	clientmessagebus.cpp
	clientprotocolthread.cpp
	clientprotocolbase.cpp
	clientproxy.cpp
	server.cpp
	serviceproxy.cpp
	clientprotocoltest.cpp
	serverprotocolinstancebase.cpp
	serverprotocollistenerbase.cpp
	serverthread.cpp
	serverprotocollistenertcp.cpp
	serverprotocolinstanceiodevice.cpp
	message.cpp
	serverprotocolinstancetcp.cpp
	clientprotocoltcp.cpp
	clientprotocoliodevice.cpp
	serverprotocollistenerprocess.cpp
	servicepublisher.cpp
	servicefinder.cpp
	authtoken.cpp
	servicefactoryparent.cpp
	qxtdiscoverableservice.cpp
	qxtdiscoverableservicename.cpp
	qxtservicebrowser.cpp
)

INCLUDE_DIRECTORIES(./include/)

IF(APPLE)
SET(SOURCES ${SOURCES}
        qxtmdns_bonjour.cpp
)
SET(HEADERS ${HEADERS}
        qxtmdns_bonjour.h
)

ENDIF(APPLE)

IF(WIN32)
SET(SOURCES ${SOURCES}
	qxtmdns_bonjour.cpp
)
SET(HEADERS ${HEADERS}
	qxtmdns_bonjour.h
)

FIND_LIBRARY(BONJOUR_LIBRARY NAMES dnssd.lib PATHS
	"C:/Program Files/Bonjour SDK/Lib/Win32/"
	"C:/Bonjour SDK/Lib/Win32/"
)

FIND_PATH(BONJOUR_INCLUDE_DIR dns_sd.h
	"C:/Program Files/Bonjour SDK/Include/"
	"C:/Bonjour SDK/Include/"
)

IF (BONJOUR_INCLUDE_DIR AND BONJOUR_LIBRARY)
   SET(BONJOUR_FOUND TRUE)
ENDIF (BONJOUR_INCLUDE_DIR AND BONJOUR_LIBRARY)


IF (BONJOUR_FOUND)
	MESSAGE(STATUS "Found Bonjour: ${BONJOUR_LIBRARY}")
ELSE (BONJOUR_FOUND)
	MESSAGE(FATAL_ERROR "Could not find Bonjour (${BONJOUR_LIBRARY}, ${BONJOUR_INCLUDE_DIR}")
ENDIF (BONJOUR_FOUND)

SET(LIBRARIES ${LIBRARIES}
	${BONJOUR_LIBRARY}
)
INCLUDE_DIRECTORIES(
	${BONJOUR_INCLUDE_DIR}
)


ENDIF(WIN32)

IF(UNIX)
SET(SOURCES ${SOURCES}
	clientprotocolsocket.cpp
	serverprotocollistenersocket.cpp
	serverprotocolinstancesocket.cpp
)
SET(HEADERS ${HEADERS}
	clientprotocolsocket.h
	serverprotocollistenersocket.h
	serverprotocolinstancesocket.h
)

ENDIF(UNIX)

IF(UNIX AND NOT APPLE)

SET(SOURCES ${SOURCES}
	qxtmdns_avahi.cpp
	qxtavahipoll.cpp
)
SET(HEADERS ${HEADERS}
	qxtmdns_avahi.h
	qxtavahipoll.h
	qxtavahipoll_p.h
)


SET(LIBRARIES ${LIBRARIES}
        avahi-client
        avahi-common
        dns_sd
)

ENDIF(UNIX AND NOT APPLE)

PROJECT_END()

IF(APPLE)

INSTALL(TARGETS qtrpc2 DESTINATION ${CMAKE_INSTALL_PREFIX}/rdsconsole.app/Contents/MacOS/)

ELSE(APPLE)

INSTALL(TARGETS qtrpc2
	BUNDLE DESTINATION .
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
)

ENDIF(APPLE)

INSTALL_HEADERS("qtrpc2/")

=== rds/rdsacledit/CMakeLists.txt ===
PROJECT_BEGIN(rdsacledit EXECUTABLE)


SET(SOURCES ${SOURCES}
	main.cpp
	qxtcommandoptions.cpp
)

SET(HEADERS ${HEADERS}
	qxtcommandoptions.h
)

SET(LIBRARIES ${LIBRARIES}
	rdsclient
)

# Include and link against qtrpc2
SET(INCLUDES ${INCLUDES}
        ../qtrpc2/
        ../qtrpc2/include/
)
SET(LIBRARIES ${LIBRARIES}
        qtrpc2
)

SET(INCLUDES ${INCLUDES}
	../rdsclient
	../shared/
	../rdsclient/include/
	../shared/include/
)

USE_QT_LIB(NETWORK)
SET(QT_DONT_USE_QTGUI true)

PROJECT_END()

INSTALL(TARGETS rdsacledit
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
)

=== rds/rdsclient/CMakeLists.txt ===
PROJECT_BEGIN(rdsclient LIBRARY)

SET(CMAKE_CXX_FLAGS "-D __RDS_CLIENT -D RDS_CLIENT_LIB")

INCLUDE_SHARED()

SET(SOURCES ${SOURCES}
	../rdsldap/rdsldapobject.cpp
	../rdsldap/rdsldapactions.cpp
	rdsldapsession.cpp
	rdsutils_client.cpp
	rdsclient.cpp
	rdsentitymanager.cpp
	rdssharemanager.cpp
	rdsshare.cpp
	rdsdaemonmanager.cpp
	rdsfilemanager.cpp
	rdsmountpointmanager.cpp
	rdsmountpoint.cpp
	rdsvolumemanager.cpp
	rdsvolume.cpp
	rdsstoragedevice.cpp
	rdsstoragedevicemanager.cpp
	rdsdnsmanager.cpp
	rdsdnszone.cpp
	rdsdhcpmanager.cpp
	rdsdhcpvalues.cpp
	rdsdhcpgroup.cpp
	rdsdhcpsharednetwork.cpp
	rdsdhcpsubnet.cpp
	rdsdhcphost.cpp
	rdsjob.cpp
)

SET(HEADERS ${HEADERS}
	../rdsldap/rdsldapobject.h
	../rdsldap/rdsldapactions.h
	rdsldapsession.h
	rdsclient.h
	rdsstoragedevice.h
	rdsfilemanager.h
	rdsmountpoint.h
	rdsshare.h
	rdssharemanager.h
	rdsvolume.h
	rdsvolumemanager.h
	rdsstoragedevicemanager.h
	rdsdaemonmanager.h
	rdsentitymanager.h
	rdsmountpointmanager.h
	rdsdnsmanager.h
	rdsdnszone.h
	rdsdhcpmanager.h
	rdsdhcpvalues.h
	rdsdhcpgroup.h
	rdsdhcpsharednetwork.h
	rdsdhcpsubnet.h
	rdsdhcphost.h
	rdsjob.h
	rdsjob_p.h
)

SET(INCLUDES ${INCLUDES}
	./include/
	../qtrpc2/
	../qtrpc2/include/
)

SET(LIBRARIES ${LIBRARIES}
	qtrpc2
)

USE_QT_LIB(NETWORK)
SET(QT_DONT_USE_QTGUI true)

PROJECT_END()

IF(APPLE)

INSTALL(TARGETS rdsclient DESTINATION ${CMAKE_INSTALL_PREFIX}/rdsconsole.app/Contents/MacOS/)

ELSE(APPLE)

INSTALL(TARGETS rdsclient
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
)

ENDIF(APPLE)

INSTALL_HEADERS("rds/client/")

=== rds/rdsconsole/CMakeLists.txt ===
PROJECT_BEGIN(rdsconsole EXECUTABLE)

SET(SOURCES ${SOURCES}
	main.cpp
	mainwindow.cpp
	extensionbase.cpp
	loginwindow.cpp
	usermanagerwidget.cpp
	rdsentitymodel.cpp
	rdsentitysortmodel.cpp
	rdsentitywidget.cpp
	usereditwidget.cpp
	changepassworddialog.cpp
	selectiondialog.cpp
	primarygroupwidget.cpp
	usergroupswidget.cpp
	newuserdialog.cpp
	rdsusergroupcomputermodel.cpp
	rdsusergroupcomputersortmodel.cpp
	oueditwidget.cpp
	groupeditwidget.cpp
	memberswidget.cpp
	computermanagerwidget.cpp
	computereditwidget.cpp
	multigeneratedpassworddialog.cpp
	sharemanagerwidget.cpp
	rdssharemodel.cpp
	shareeditwidget.cpp
	rdsfilemodel.cpp
	rdsfilesortmodel.cpp
	browsedialog.cpp
	permissionswidget.cpp
	aclmodel.cpp
	foldereditwidget.cpp
	acemodel.cpp
	drivemapwidget.cpp
	addsharedialog.cpp
	storagemanagerwidget.cpp
	rdsstoragemodel.cpp
	freespacedelegate.cpp
	storageeditorwidget.cpp
	initializevolumedialog.cpp
	rdsstoragedevicemodel.cpp
	unuseddevicedialog.cpp
	rdsstoragedevicesortmodel.cpp
	rdsstoragesortmodel.cpp
	provisionwizard.cpp
	rdsprovisionator.cpp
	qxtcommandoptions.cpp
	servermanagerwidget.cpp
	datetimewidget.cpp
	logswidget.cpp
	serverstatuswidget.cpp
	aboutdialog.cpp
	aceflagswidget.cpp
	passwordpolicywidget.cpp
	networkwidget.cpp
	networksavedialog.cpp
	dnsmanagerwidget.cpp
	rdsdnsmodel.cpp
	rdsdhcpmodel.cpp
	dhcpmanagerwidget.cpp
	dhcpeditwidget.cpp
	listwidget.cpp
	dnseditwidget.cpp
	dnszoneeditwidget.cpp
	checkwidget.cpp
	dhcpinterfacewidget.cpp
	addsubnetdialog.cpp
	dnsrecordeditwidget.cpp
	dhcpgroupeditwidget.cpp
	dhcphosteditwidget.cpp
	dhcpsubneteditwidget.cpp
	dhcpconfigurewidget.cpp
	dhcpconfiguredialog.cpp
	computeripwidget.cpp
	adddomaindialog.cpp
	addrecorddialog.cpp
	qxtconfirmationmessage.cpp
)

USE_QT_LIB(NETWORK)

SET(FORMS ${FORMS}
	mainwindow.ui
	loginwindow.ui
	usermanagerwidget.ui
	usereditwidget.ui
	changepassworddialog.ui
	SelectionDialog.ui
	primarygroupwidget.ui
	usergroupswidget.ui
	newuserdialog.ui
	oueditwidget.ui
	groupeditwidget.ui
	memberswidget.ui
	computereditwidget.ui
	computermanagerwidget.ui
	multiplegeneratedpassworddialog.ui
	sharemanagerwidget.ui
	shareeditwidget.ui
	browsedialog.ui
	permissionswidget.ui
	foldereditwidget.ui
	drivemapwidget.ui
	addsharedialog.ui
	storagemanagerwidget.ui
	storageeditorwidget.ui
	initializevolumedialog.ui
	unuseddevicedialog.ui
	provisionwizard.ui
	servermanager.ui
	serverstatuswidget.ui
	datetimewidget.ui
	LogsWidget.ui
	aboutdialog.ui
	aceflagswidget.ui
	passwordpolicywidget.ui
	networkwidget.ui
	networksavedialog.ui
	dnsmanagerwidget.ui
	dhcpmanagerwidget.ui
	dhcpeditwidget.ui
	listwidget.ui
	dnseditwidget.ui
	dnszoneeditwidget.ui
	checkwidget.ui
	dhcpinterfacewidget.ui
	addsubnetdialog.ui
	dnsrecordeditwidget.ui
	dhcpgroupeditwidget.ui
	dhcphosteditwidget.ui
	dhcpsubneteditwidget.ui
	dhcpconfigurewidget.ui
	dhcpconfiguredialog.ui
	computeripwidget.ui
	adddomaindialog.ui
	addrecorddialog.ui
)

SET(HEADERS ${HEADERS}
	mainwindow.h
	extensionbase.h
	loginwindow.h
	usermanagerwidget.h
	rdsentitymodel.h
	rdsentitymodel_p.h
	rdsentitysortmodel.h
	rdsentitysortmodel_p.h
	rdsentitywidget.h
	rdsentitywidget_p.h
	usereditwidget.h
	changepassworddialog.h
	selectiondialog.h
	primarygroupwidget.h
	usergroupswidget.h
	newuserdialog.h
	rdsusergroupcomputermodel.h
	rdsusergroupcomputersortmodel.h
	oueditwidget.h
	groupeditwidget.h
	memberswidget.h
	computermanagerwidget.h
	computereditwidget.h
	multigeneratedpassworddialog.h
	sharemanagerwidget.h
	rdssharemodel.h
	shareeditwidget.h
	rdsfilemodel.h
	rdsfilesortmodel.h
	browsedialog.h
	permissionswidget.h
	aclmodel.h
	foldereditwidget.h
	acemodel.h
	drivemapwidget.h
	addsharedialog.h
	storagemanagerwidget.h
	rdsstoragemodel.h
	freespacedelegate.h
	storageeditorwidget.h
	initializevolumedialog.h
	rdsstoragedevicemodel.h
	unuseddevicedialog.h
	rdsstoragedevicesortmodel.h
	rdsstoragesortmodel.h
	provisionwizard.h
	rdsprovisionator.h
	servermanagerwidget.h
	datetimewidget.h
	logswidget.h
	serverstatuswidget.h
	aboutdialog.h
	aceflagswidget.h
	passwordpolicywidget.h
	networkwidget.h
	networksavedialog.h
	rdsdnsmodel.h
	dnsmanagerwidget.h
	rdsdhcpmodel.h
	dhcpmanagerwidget.h
	dhcpeditwidget.h
	listwidget.h
	dnseditwidget.h
	dnszoneeditwidget.h
	checkwidget.h
	dhcpinterfacewidget.h
	addsubnetdialog.h
	dnsrecordeditwidget.h
	dhcpgroupeditwidget.h
	dhcphosteditwidget.h
	dhcpsubneteditwidget.h
	dhcpconfigurewidget.h
	dhcpconfiguredialog.h
	computeripwidget.h
	adddomaindialog.h
	addrecorddialog.h
	qxtconfirmationmessage.h
)

SET(INCLUDES ${INCLUDES}
	./include/
	 ../rdsclient
	 ../shared/
	 ../rdsclient/include/
	 ../shared/include/
)

SET(RESOURCES ${RESOURCES}
	rdsconsole.qrc
)

# Include and link against qtrpc2
SET(INCLUDES ${INCLUDES}
	../qtrpc2/
	../qtrpc2/include/
)
SET(LIBRARIES ${LIBRARIES}
	qtrpc2
	rdsclient
)

IF(UNIX)
	SET(INCLUDES ${INCLUDES}
		/usr/include/qt4/QtUiTools/
	)
	SET(LIBRARIES ${LIBRARIES}
		QtUiTools
	)
ENDIF(UNIX)

PROJECT_END()

INSTALL(TARGETS rdsconsole
        BUNDLE DESTINATION .
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib
)

IF(APPLE)
	FILE(GLOB QTRPC2LIBS ${CMAKE_BINARY_DIR}/qtrpc2/libqtrpc2.*)
	FILE(GLOB RDSCLIENTLIBS ${CMAKE_BINARY_DIR}/rdsclient/librdsclient.*)
	INSTALL(FILES ${QTRPCLIBS} ${RDSCLIENTLIBS} DESTINATION ${CMAKE_INSTALL_PREFIX}/rdsconsole.app/Contents/MacOS/)
	INSTALL(CODE "
	   include(BundleUtilities)
	   fixup_bundle(\"${CMAKE_INSTALL_PREFIX}/rdsconsole.app\"   \"\"   \"${CMAKE_INSTALL_PREFIX}/rdsconsole.app/Contents/MacOS/\")
	   " COMPONENT Runtime)
	INSTALL(SCRIPT post-install-mac.cmake)
ENDIF(APPLE)

=== rds/rdscontrol/CMakeLists.txt ===
PROJECT_BEGIN(rdscontrol EXECUTABLE)

SET(LIBRARIES ${LIBRARIES}
	rdsclient
)

SET(SOURCES ${SOURCES}
	main.cpp
	qxtcommandoptions.cpp
)

SET(HEADERS ${HEADERS}
	qxtcommandoptions.h
)

# Include and link against qtrpc2
SET(INCLUDES ${INCLUDES}
        ../qtrpc2/
        ../qtrpc2/include/
)
SET(LIBRARIES ${LIBRARIES}
        qtrpc2
)

SET(INCLUDES ${INCLUDES}
	../rdsclient
	../shared/
	../rdsclient/include/
)

SET(QT_DONT_USE_QTGUI true)

PROJECT_END()

INSTALL(TARGETS rdscontrol
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
)

=== rds/rdsd/CMakeLists.txt ===
PROJECT_BEGIN(rdsd EXECUTABLE)

SET(SOURCES ${SOURCES}
	main.cpp
	rdsservice.cpp
	rdsprovisionator.cpp
	rdsprovisionthread.cpp
	rdsnetmonitorthread.cpp
	rdsdaemon.cpp
	logmanager.cpp
	publishmonitor.cpp
	rdssambaldapsession.cpp
	rdsnetworksettingsthread.cpp
	rdscheckin.cpp
)

SET(HEADERS ${HEADERS}
	rdsservice.h
	main.h
	rdsprovisionator.h
	rdsprovisionator_p.h
	rdsprovisionthread.h
	rdsprovisionthread_p.h
	rdsnetmonitorthread.h
	rdsdaemon.h
	rdsdaemon_p.h
	logmanager.h
	logmanager_p.h
	publishmonitor.h
	rdssambaldapsession.h
	rdsnetworksettingsthread.h
	rdscheckin.h
)

SET(INCLUDES ${INCLUDES}
	../rdsserver
	../rdsldap
	../shared/
)

SET(LIBRARIES ${LIBRARIES}
	rdsserver
	rdsldap
	crypt
)

# Include and link against qtrpc2
SET(INCLUDES ${INCLUDES}
        ../qtrpc2/
        ../qtrpc2/include/
)
SET(LIBRARIES ${LIBRARIES}
        qtrpc2
)

SET(INCLUDES ${INCLUDES}
	../rdsserver/include/
	../shared/include/
	../rdsldap/include/
)

USE_QT_LIB(NETWORK)
SET(QT_DONT_USE_QTGUI true)

PROJECT_END()

INSTALL(TARGETS rdsd
	RUNTIME DESTINATION sbin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
)

=== rds/rdsldap/CMakeLists.txt ===
PROJECT_BEGIN(rdsldap LIBRARY)

SET(INCLUDES ${INCLUDES}
	../shared/
)

SET(LIBRARIES ${LIBRARIES}
	ldap_r
)

SET(SOURCES ${SOURCES}
	rdsldapobject.cpp
	rdsldapsession.cpp
	rdsldapactions.cpp
	sasl.c
)

SET(HEADERS ${HEADERS}
	rdsldapobject.h
	rdsldapobject_p.h
	rdsldapsession.h
	rdsldapsession_p.h
	rdsldapactions.h
	rdsldapactions_p.h
)

# Include and link against qtrpc2
SET(INCLUDES ${INCLUDES}
        ../qtrpc2/
        ../qtrpc2/include/
)
SET(LIBRARIES ${LIBRARIES}
        qtrpc2
)

SET(INCLUDES ${INCLUDES}
	./include/
)

USE_QT_LIB(NETWORK)
SET(QT_DONT_USE_QTGUI true)

PROJECT_END()

INSTALL(TARGETS rdsldap
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
)

INSTALL_HEADERS("rds/ldap/")

=== rds/rdsprovision/CMakeLists.txt ===
PROJECT_BEGIN(rdsprovision EXECUTABLE)


SET(SOURCES ${SOURCES}
	main.cpp
	qxtcommandoptions.cpp
	rdsprovisionator.cpp
)

SET(HEADERS ${HEADERS}
	qxtcommandoptions.h
	rdsprovisionator.h
)

SET(LIBRARIES ${LIBRARIES}
	rdsclient
)

# Include and link against qtrpc2
SET(INCLUDES ${INCLUDES}
        ../qtrpc2/
        ../qtrpc2/include/
)
SET(LIBRARIES ${LIBRARIES}
        qtrpc2
)

SET(INCLUDES ${INCLUDES}
	../rdsclient
	../shared/
	../rdsclient/include/
)

USE_QT_LIB(NETWORK)
SET(QT_DONT_USE_QTGUI true)

PROJECT_END()

INSTALL(TARGETS rdsprovision
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
)

=== rds/rdsserver/CMakeLists.txt ===
PROJECT_BEGIN(rdsserver LIBRARY)

find_package ( DBus REQUIRED )

USE_QT_LIB(NETWORK)

INCLUDE_SHARED()

SET(CMAKE_CXX_FLAGS "-D __RDS_SERVER")

SET(INCLUDES ${INCLUDES}
	../rdsldap
	/usr/include/dbus-1.0/
	/usr/lib/dbus-1.0/include/
)

SET(LIBRARIES ${LIBRARIES}
	rdsldap
)

SET(INCLUDES ${INCLUDES}
	../rdsldap
	${DBUS_INCLUDE_DIR}
)

SET(SOURCES ${SOURCES}
	rdssettings.cpp
	rdsutils_server.cpp
	rdsdnsmanager.cpp
	rdsdhcpvalues.cpp
	rdsdnszone.cpp
	rdsmountpoint.cpp
	rdssambaconfigparser.cpp
	rdsshare.cpp
	rdssharemanager.cpp
	rdsstoragedevice.cpp
	rdsstoragemanager.cpp
	rdsvolume.cpp
	rdsentitymanager.cpp
	rdsusergroupcomputermanager.cpp
	rdsdhcpmanager.cpp
	rdsdhcpsubnet.cpp
	rdsdhcpsharednetwork.cpp
	rdsdhcpgroup.cpp
	rdsdhcphost.cpp
	rdsfilemanager.cpp
	rdsdaemoninstance.cpp
	rdsdaemonmanager.cpp
	rdsmountpointmanager.cpp
	rdsvolumemanager.cpp
	rdsstoragedevicemanager.cpp
	rdsnetworksettings.cpp
	rdssinglevolume.cpp
	rdsschedulemanager.cpp
	rdsjob.cpp
	rdsmultijob.cpp
	rdsjobmanager.cpp
	rdsthreadedjob.cpp
)

SET(HEADERS ${HEADERS}
	rdssettings.h
	rdssettings_p.h
	rdsdnsmanager.h
	rdsdnsmanager_p.h
	rdsdhcpvalues.h
	rdsdhcpvalues_p.h
	rdsdnszone.h
	rdsdnszone_p.h
	rdsmountpoint.h
	rdsmountpoint_p.h
	rdssambaconfigparser.h
	rdssambaconfigparser_p.h
	rdsshare.h
	rdssharemanager.h
	rdssharemanager_p.h
	rdsshare_p.h
	rdsstoragedevice.h
	rdsstoragedevice_p.h
	rdsstoragemanager.h
	rdsstoragemanager_p.h
	rdsvolume.h
	rdsvolume_p.h
	rdsentitymanager.h
	rdsentitymanager_p.h
	rdsusergroupcomputermanager.h
	rdsdhcpmanager.h
	rdsdhcpmanager_p.h
	rdsdefines.h
	rdsdhcpsubnet.h
	rdsdhcpsubnet_p.h
	rdsdhcpsharednetwork.h
	rdsdhcpsharednetwork_p.h
	rdsdhcpgroup.h
	rdsdhcpgroup_p.h
	rdsdhcphost.h
	rdsdhcphost_p.h
	rdsfilemanager.h
	rdsdaemoninstance.h
	rdsdaemonmanager.h
	rdsdaemonmanager_p.h
	rdsmountpointmanager.h
	rdsmountpointmanager_p.h
	rdsvolumemanager.h
	rdsvolumemanager_p.h
	rdsfilemanager_p.h
	rdsudisksadapterinterface.h
	rdsudisksdeviceinterface.h
	rdsudisksexpanderinterface.h
	rdsudisksinterface.h
	rdsudisksportinterface.h
	rdsstoragedevicemanager.h
	rdsstoragedevicemanager_p.h
	rdsnetworksettings.h
	rdsnetworksettings_p.h
	rdssinglevolume.h
	rdssinglevolume_p.h
	rdsschedulemanager.h
	rdsschedulemanager_p.h
	rdsjob.h
	rdsjob_p.h
	rdsmultijob.h
	rdsmultijob_p.h
	rdsjobmanager.h
	rdsjobmanager_p.h
	rdsthreadedjob.h
	rdsthreadedjob_p.h
)

USE_QT_LIB(DBUS)
SET(LIBRARIES ${LIBRARIES}
	parted
	blkid
)

# Include and link against qtrpc2
SET(INCLUDES ${INCLUDES}
        ../qtrpc2/
        ../qtrpc2/include/
)
SET(LIBRARIES ${LIBRARIES}
        qtrpc2
)

SET(INCLUDES ${INCLUDES}
	./include/
	../rdsldap/include/
)

SET(QT_DONT_USE_QTGUI true)

PROJECT_END()

INSTALL(TARGETS rdsserver
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
)

INSTALL_HEADERS("rds/server/")

=== rds/shared/CMakeLists.txt ===

INSTALL_HEADERS("rds/shared/")

=== rds/src/CMakeLists.txt ===
PROJECT_BEGIN(src EXECUTABLE)

SET(SOURCES ${SOURCES}
	main.cpp
)

QT4_AUTOMOC(${SOURCES})

SET(INCLUDES ${INCLUDES}
	../rdsserver
	../rdsldap
	../shared/
)

USE_QT_LIB(DBUS)

SET(LIBRARIES ${LIBRARIES}
	rdsserver
	rdsldap
	ldap_r
)

# Include and link against qtrpc2
SET(INCLUDES ${INCLUDES}
        ../qtrpc2/
        ../qtrpc2/include/
)
SET(LIBRARIES ${LIBRARIES}
        qtrpc2
)

SET(INCLUDES ${INCLUDES}
	../rdsserver/include/
	../shared/include/
	../rdsldap/include/
)

USE_QT_LIB(NETWORK)

PROJECT_END()

=== debian/changelog ===
rds (1.1.0-0ubuntu3) quantal; urgency=low

  * Really switch Depends: to isc-dhcp-server following dhcp3-server to
    isc-dhcp-server transition.  Doh.

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 03 Aug 2012 08:51:14 +0100

rds (1.1.0-0ubuntu2) quantal; urgency=low

  * Switch Depends: to isc-dhcp-server following dhcp3-server to
    isc-dhcp-server transition.
  * Switch paths to follow new location of configuration files.
  * debian/patches/gcc-4.7: a smattering of porting issues including
    a peppering of unistd.h includes.

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 02 Aug 2012 09:52:33 +0100

rds (1.1.0-0ubuntu1) precise; urgency=low

  * Initial release (LP: #930422).

 -- Brendan Powers <brendan@resara.com>  Fri, 10 Feb 2012 18:01:00 -0500

=== debian/control ===
Source: rds
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Brendan Powers <brendan@resara.com>
Build-Depends:
 cmake,
 debhelper (>= 7.0.50~),
 libattr1-dev,
 libavahi-client-dev,
 libavahi-compat-libdnssd-dev,
 libldap2-dev,
 libparted0-dev,
 libqt4-dev,
 libsasl2-dev
Standards-Version: 3.9.2
Section: admin
Homepage: http://www.resara.org/

Package: librdsserver-dev
Section: libdevel
Architecture: any
Depends:
 libqtrpc2-dev,
 librdsldap-dev (= ${binary:Version}),
 librdsserver1 (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for the Resara Server library
 Resara Server is an Active Directory compatible open source server
 for small businesses designed around Samba 4. It is designed to be
 simple and easy to use. The management console lets you manage users,
 share files, and configure DHCP and DNS.
 .
 This package provides development files for the server-side library.

Package: librdsclient-dev
Section: libdevel
Architecture: any
Depends: libqtrpc2-dev, librdsclient1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the Resara Server client library
 Resara Server is an Active Directory compatible open source server
 for small businesses designed around Samba 4. It is designed to be
 simple and easy to use. The management console lets you manage users,
 share files, and configure DHCP and DNS.
 .
 This package provides development files for the client library.

Package: librdsldap-dev
Section: libdevel
Architecture: any
Depends: libqtrpc2-dev, librdsldap1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the Resara Server LDAP library
 Resara Server is an Active Directory compatible open source server
 for small businesses designed around Samba 4. It is designed to be
 simple and easy to use. The management console lets you manage users,
 share files, and configure DHCP and DNS.
 .
 This package provides development files for the LDAP library.

Package: librdsserver1
Section: libs
Architecture: any
Depends:
 libattr1,
 libdbus-1-3 (>= 1.4.0-0ubuntu1),
 libldap-2.4-2,
 libparted0,
 libqt4-core,
 libqt4-gui,
 libqtrpc2-1,
 librdsldap1 (= ${binary:Version}),
 libsasl2-2,
 udisks,
 ${misc:Depends},
 ${shlibs:Depends}
Replaces: librdsserver
Description: Resara Server server-side library
 Resara Server is an Active Directory compatible open source server
 for small businesses designed around Samba 4. It is designed to be
 simple and easy to use. The management console lets you manage users,
 share files, and configure DHCP and DNS.
 .
 This package provides the server-side library for Resara Server.

Package: librdsclient1
Section: libs
Architecture: any
Depends: libqtrpc2-1, ${misc:Depends}, ${shlibs:Depends}
Replaces: librdsclient
Description: Resara Server client library
 Resara Server is an Active Directory compatible open source server
 for small businesses designed around Samba 4. It is designed to be
 simple and easy to use. The management console lets you manage users,
 share files, and configure DHCP and DNS.
 .
 This package provides the client library for Resara Server.

Package: librdsldap1
Section: libs
Architecture: any
Depends: libqtrpc2-1, ${misc:Depends}, ${shlibs:Depends}
Replaces: librdsldap
Description: Resara Server LDAP library
 Resara Server is an Active Directory compatible open source server
 for small businesses designed around Samba 4. It is designed to be
 simple and easy to use. The management console lets you manage users,
 share files, and configure DHCP and DNS.
 .
 This package provides the LDAP library for Resara Server.

Package: rds
Section: admin
Architecture: any
Depends:
 rdsserver (= ${binary:Version}),
 rdsutils (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Easy-to-use, AD compatible Linux domain controller and file server
 Resara Server is an Active Directory compatible open source server
 for small businesses designed around Samba 4. It is designed to be
 simple and easy to use. The management console lets you manage users,
 share files, and configure DHCP and DNS.
 .
 This package provides a simple meta-package for Resara Server.

Package: rdsserver
Section: admin
Architecture: any
Depends:
 bind9,
 isc-dhcp-server,
 krb5-user,
 ldb-tools,
 librdsserver1 (= ${binary:Version}),
 libsasl2-modules-gssapi-mit,
 ntp (>= 1:4.2.6.p2),
 samba4,
 winbind4,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Binaries and other files needed to run Resara Server
 Resara Server is an Active Directory compatible open source server
 for small businesses designed around Samba 4. It is designed to be
 simple and easy to use. The management console lets you manage users,
 share files, and configure DHCP and DNS.
 .
 This package provides the core binaries and other files needed to run
 Resara Server.

Package: rdsutils
Section: admin
Architecture: any
Depends: librdsclient1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Administrative utilities for Resara Server
 Resara Server is an Active Directory compatible open source server
 for small businesses designed around Samba 4. It is designed to be
 simple and easy to use. The management console lets you manage users,
 share files, and configure DHCP and DNS.
 .
 This package provides administrative utilities for Resara Server.

Package: rdsconsole
Section: admin
Architecture: any
Depends: librdsclient1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Resara Server administrative console
 Resara Server is an Active Directory compatible open source server
 for small businesses designed around Samba 4. It is designed to be
 simple and easy to use. The management console lets you manage users,
 share files, and configure DHCP and DNS.
 .
 This package provides the administration console for Resara Server.

Package: libqtrpc2-dev
Section: libdevel
Architecture: any
Replaces: qtrpc2-dev
Depends: libqtrpc2-1 (= ${binary:Version}), ${misc:Depends}
Description: Easy to use RPC library developement files
 An easy to use RPC library. QtRPC2 is well integrated into Qt4,
 and should be easy to use for anyone familiar with the Qt framework.
 .
 This package contains development files for QtRPC2

Package: libqtrpc2-1
Section: libs
Architecture: any
Replaces: qtrpc2
Depends:
 libavahi-client3,
 libavahi-compat-libdnssd1,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Easy to use RPC library for Qt4
 An easy to use RPC library. QtRPC2 is well integrated into Qt4,
 and should be easy to use for anyone familiar with the Qt framework.

=== debian/watch ===
version=3
http://www.resara.org/release-snapshots/rds-([0-9]*\.[0-9]*\.[0-9]*).*\.tar\.gz
